| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__ModifyCSTAApplicationRequest Struct Reference
CSTA Application

Modify CSTA Application request. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | OperatorId
| Operator Id. More...
xsd__string | ApplicationIPAddress
| The (unique) IP of the application to be updated in IPv4 format. More...
struct unsp__CSTAApplicationIdentification * | Identification
| Identification. More...
struct unsp__CSTAApplicationInterfaceOptions * | InterfaceOptions
| Iterface Options required: false. More...
struct unsp__CSTAApplicationSOAPHeartBeat * | SOAPHeartBeat
| SOAP Heartbeat. More...
struct unsp__CSTAApplicationOperationalData * | OperationalData
| Operational Data. More...
struct unsp__CSTAApplicationBgACL * | BgACL
| Business Group access control list. More...

## Detailed Description

Modify CSTA Application request.

Used by unsp__ModifyCSTAApplication()

## Member Data Documentation

## ◆ ApplicationIPAddress

xsd__string unsp__ModifyCSTAApplicationRequest::ApplicationIPAddress

The (unique) IP of the application to be updated in IPv4 format.

Maximum length is 45 characters to allow future use of IPv6 addressing.
required: true

## ◆ BgACL

struct unsp__CSTAApplicationBgACL* unsp__ModifyCSTAApplicationRequest::BgACL

Business Group access control list.

required: false

## ◆ Identification

struct unsp__CSTAApplicationIdentification* unsp__ModifyCSTAApplicationRequest::Identification

Identification.

required: false

## ◆ InterfaceOptions

struct unsp__CSTAApplicationInterfaceOptions* unsp__ModifyCSTAApplicationRequest::InterfaceOptions

Iterface Options
required: false.

## ◆ OperationalData

struct unsp__CSTAApplicationOperationalData* unsp__ModifyCSTAApplicationRequest::OperationalData

Operational Data.

required: false

## ◆ OperatorId

xsd__string unsp__ModifyCSTAApplicationRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ SOAPHeartBeat

struct unsp__CSTAApplicationSOAPHeartBeat* unsp__ModifyCSTAApplicationRequest::SOAPHeartBeat

SOAP Heartbeat.

required: false

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h